summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-doc/kicad-doc/kicad-doc-5.0.1.ebuild')
-rw-r--r--app-doc/kicad-doc/kicad-doc-5.0.1.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/app-doc/kicad-doc/kicad-doc-5.0.1.ebuild b/app-doc/kicad-doc/kicad-doc-5.0.1.ebuild
new file mode 100644
index 00000000000..1924e8c1b4a
--- /dev/null
+++ b/app-doc/kicad-doc/kicad-doc-5.0.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Electronic Schematic and PCB design tools manuals"
+HOMEPAGE="http://www.kicad-pcb.org/"
+SRC_URI="https://github.com/KiCad/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( GPL-3+ CC-BY-3.0 ) GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="html +pdf"
+LANG_USE=" l10n_ca l10n_de l10n_en l10n_es l10n_fr l10n_id l10n_it l10n_ja l10n_pl"
+IUSE+=${LANG_USE}
+REQUIRED_USE="|| ( html pdf ) ^^ ( ${LANG_USE} )"
+unset LANG_USE
+
+DEPEND="
+ >=app-text/asciidoc-8.6.9
+ >=app-text/dblatex-0.3.10
+ >=app-text/po4a-0.45
+ >=sys-devel/gettext-0.18
+ dev-perl/Unicode-LineBreak
+ dev-util/source-highlight
+ l10n_ca? ( dev-texlive/texlive-langspanish )
+ l10n_de? ( dev-texlive/texlive-langgerman )
+ l10n_en? ( dev-texlive/texlive-langenglish )
+ l10n_es? ( dev-texlive/texlive-langspanish )
+ l10n_fr? ( dev-texlive/texlive-langfrench )
+ l10n_it? ( dev-texlive/texlive-langitalian )
+ l10n_ja? ( dev-texlive/texlive-langjapanese media-fonts/vlgothic )
+ l10n_pl? ( dev-texlive/texlive-langpolish )"
+RDEPEND=""
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_FORMATS="$(usev html);$(usev pdf)"
+ -DSINGLE_LANGUAGE="${L10N}"
+ -DKICAD_DOC_PATH="/usr/share/doc/${P}/help"
+ )
+ cmake-utils_src_configure
+}